/* === Estilo general del contenedor === */
.form-managed-file__main {
  position: relative;
  display: flex;
  flex-direction: row-reverse;
  flex-wrap: wrap;
  align-items: center;
  gap: 0.75rem;
  width: fit-content;
}

/* === Nombre del archivo ya subido === */
.file-filename {
  font-size: 14px;
  color: #333;
  background: transparent;
  padding: 4px 0;
}

/* === Contenedor visual del "botón" === */
.form-managed-file__main input[type="file"] {
  position: absolute;
  inset: 0;
  width: 100%;
  height: 100%;
  opacity: 0;
  cursor: pointer;
  z-index: 2;
}

/* Creamos una apariencia de botón para el input usando ::before */
.form-managed-file:not(.has-value)
  .form-managed-file__main
  .custom-file-wrapper::after {
  /* content: "Seleccionar archivo"; */
  content: attr(data-text);
  display: inline-block;
  padding: 12px 24px;
  background-color: rgb(var(--gin-color-primary-rgb));
  color: white;
  font-weight: 600;
  font-size: 16px;
  border-radius: 8px;
  text-align: center;
  cursor: pointer;
  transition: background-color 0.3s ease;
  z-index: 1;
}

.form-managed-file:not(.has-value)
  .form-managed-file__main:has(input[disabled])
  .custom-file-wrapper::after {
  opacity: 0.6 !important;
}

/* Hover effect */
.form-managed-file:not(.has-value)
  .form-managed-file__main
  .custom-file-wrapper::after:hover {
  background-color: var(--gin-color-primary-hover) !important;
}

/* Ocultar el botón nativo en navegadores */
input[type="file"]::-webkit-file-upload-button {
  visibility: hidden;
}

input[type="file"]::file-selector-button {
  visibility: hidden;
}
